ExchangeFolderTree (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeFolderTree interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeFolderTree

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeFolderTree

extends LogicalElement

Represents the Exchange Folder Tree

Naming Rules:
  0="administrativeGroup,folderTreeName"
Persistable:
  true
Table Name:
  EXCHFOLTREE
Display Name:
  folderTreeName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getActiveDirectoryGUID()` The globally unique identifier (GUID) attribute of the top-level hierarchy (TLH) object in Microsoft Active Directory Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.GUID Example 3ED95D00-AE97-4281-845E-AC0DCE7ADC1F
`ExchangeAdministrativeGroup` | `getAdministrativeGroup()`
`java.lang.String` | `getAdministrativeNote()` The administrative note attached to the Microsoft Active Directory object representing the tree Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.AdministrativeNote
`ExchangePublicFolderStore[]` | `getAssociatedPublicStores()`
`long` | `getCreationTime()` Indicates when the tree was created Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.CreationTime
`java.lang.String` | `getFolderTreeName()` The name of the the top-level hierarchy (TLH).
`boolean` | `getMAPIFolderTree()` Indicates whether this is the MAPI top-level hierarchy (TLH) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.MapiFolderTree
`ExchangePublicFolder[]` | `getPublicFolders()`
`java.lang.String` | `getRootFolderURL()` The URL to the root of the tree referenced through the Exchange administration Microsoft Internet Information Services (IIS) virtual directory Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.RootFolderURL Example http://TV045077/ExAdmin/Admin/exchange2003.local/Public%20Folders
`boolean` | `hasActiveDirectoryGUID()`
`boolean` | `hasAdministrativeGroup()`
`boolean` | `hasAdministrativeNote()`
`boolean` | `hasAssociatedPublicStores()`
`boolean` | `hasCreationTime()`
`boolean` | `hasFolderTreeName()`
`boolean` | `hasMAPIFolderTree()`
`boolean` | `hasPublicFolders()`
`boolean` | `hasRootFolderURL()`
`void` | `setActiveDirectoryGUID(java.lang.String x)`
`void` | `setAdministrativeGroup(ExchangeAdministrativeGroup x)`
`void` | `setAdministrativeNote(java.lang.String x)`
`void` | `setAssociatedPublicStores(ExchangePublicFolderStore[] x)`
`void` | `setCreationTime(long x)`
`void` | `setFolderTreeName(java.lang.String x)`
`void` | `setMAPIFolderTree(boolean x)`
`void` | `setPublicFolders(ExchangePublicFolder[] x)`
`void` | `setRootFolderURL(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getFolderTreeName

    java.lang.String getFolderTreeName()
                                       throws AttributeNotSetException

  The name of the the top-level hierarchy (TLH). Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.Name Example Public Folders

  Throws:
    `AttributeNotSetException`

### setFolderTreeName

    void setFolderTreeName(java.lang.String x)

### hasFolderTreeName

    boolean hasFolderTreeName()

### getMAPIFolderTree

    boolean getMAPIFolderTree()
                              throws AttributeNotSetException

  Indicates whether this is the MAPI top-level hierarchy (TLH) Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.MapiFolderTree

  Throws:
    `AttributeNotSetException`

### setMAPIFolderTree

    void setMAPIFolderTree(boolean x)

### hasMAPIFolderTree

    boolean hasMAPIFolderTree()

### getPublicFolders

    ExchangePublicFolder[] getPublicFolders()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setPublicFolders

    void setPublicFolders(ExchangePublicFolder[] x)

### hasPublicFolders

    boolean hasPublicFolders()

### getAdministrativeGroup

    ExchangeAdministrativeGroup getAdministrativeGroup()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setAdministrativeGroup

    void setAdministrativeGroup(ExchangeAdministrativeGroup x)

### hasAdministrativeGroup

    boolean hasAdministrativeGroup()

### getAdministrativeNote

    java.lang.String getAdministrativeNote()
                                           throws AttributeNotSetException

  The administrative note attached to the Microsoft Active Directory object representing the tree Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.AdministrativeNote

  Throws:
    `AttributeNotSetException`

### setAdministrativeNote

    void setAdministrativeNote(java.lang.String x)

### hasAdministrativeNote

    boolean hasAdministrativeNote()

### getAssociatedPublicStores

    ExchangePublicFolderStore[] getAssociatedPublicStores()
                                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setAssociatedPublicStores

    void setAssociatedPublicStores(ExchangePublicFolderStore[] x)

### hasAssociatedPublicStores

    boolean hasAssociatedPublicStores()

### getCreationTime

    long getCreationTime()
                         throws AttributeNotSetException

  Indicates when the tree was created Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.CreationTime

  Throws:
    `AttributeNotSetException`

### setCreationTime

    void setCreationTime(long x)

### hasCreationTime

    boolean hasCreationTime()

### getActiveDirectoryGUID

    java.lang.String getActiveDirectoryGUID()
                                            throws AttributeNotSetException

  The globally unique identifier (GUID) attribute of the top-level hierarchy (TLH) object in Microsoft Active Directory Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.GUID Example 3ED95D00-AE97-4281-845E-AC0DCE7ADC1F

  Throws:
    `AttributeNotSetException`

### setActiveDirectoryGUID

    void setActiveDirectoryGUID(java.lang.String x)

### hasActiveDirectoryGUID

    boolean hasActiveDirectoryGUID()

### getRootFolderURL

    java.lang.String getRootFolderURL()
                                      throws AttributeNotSetException

  The URL to the root of the tree referenced through the Exchange administration Microsoft Internet Information Services (IIS) virtual directory Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_FolderTree.RootFolderURL Example http://TV045077/ExAdmin/Admin/exchange2003.local/Public%20Folders

  Throws:
    `AttributeNotSetException`

### setRootFolderURL

    void setRootFolderURL(java.lang.String x)

### hasRootFolderURL

    boolean hasRootFolderURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD